API.cgi has problem!!!

Powerfull XFileSharing version

Moderator: admin

Message
Author
norival1992
Posts: 1
Joined: Jul 03, 2013 3:43 pm

API.cgi has problem!!!

#1 Postby norival1992 » Mar 11, 2017 3:42 pm

Hi sibsoft member and staff,

I had a problem on my script.
api.cgi said
Software error:

Error4 at api.cgi line 68.
For help, please send mail to the webmaster ([email protected]), giving this error message and the time and date of the error.


And my error log said
[Sat Mar 11 10:37:57.401567 2017] [cgi:error] [pid 16043] [client 10.6.13.207:35388] AH01215: [Sat Mar 11 10:37:57 2017] CGI.pm: defined(@array) is deprecated at Modules/CGI.pm line 496.: /home/fastload/public_html/cgi-bin/api.cgi
[Sat Mar 11 10:37:57.401672 2017] [cgi:error] [pid 16043] [client 10.6.13.207:35388] AH01215: [Sat Mar 11 10:37:57 2017] CGI.pm: \t(Maybe you should just omit the defined()?): /home/fastload/public_html/cgi-bin/api.cgi


I tried to install and reinstall CGI and CGI::simple

My perl -v is 5.16 on cpanel
[[email protected] ~]# perl -v

This is perl 5, version 16, subversion 3 (v5.16.3) built for x86_64-linux-thread-multi
(with 34 registered patches, see perl -V for more detail)

Copyright 1987-2012, Larry Wall

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using "man perl" or "perldoc perl". If you have access to the
Internet, point your browser at http://www.perl.org/, the Perl Home Page.


I can download file as well, but that file is not updated finished or not, and it didnt count......

Return to “XFileSharing Pro”

Who is online

Users browsing this forum: No registered users and 0 guests